Bug 84118

Summary: [chromium] Turn on ENABLE_DATALIST for chromium
Product: WebKit Reporter: Keishi Hattori <keishi>
Component: FormsAssignee: Keishi Hattori <keishi>
Status: RESOLVED FIXED    
Severity: Normal CC: dglazkov, tkent, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Archive of layout-test-results from ec2-cr-linux-03
none
Archive of layout-test-results from ec2-cr-linux-02
none
Patch none

Description Keishi Hattori 2012-04-16 19:19:14 PDT
Turn on ENABLE_DATALIST once the chromium side patch lands.
Comment 1 Keishi Hattori 2012-04-17 04:17:25 PDT
Created attachment 137511 [details]
Patch
Comment 2 Kent Tamura 2012-04-17 04:23:20 PDT
I recommend touching all of source files affected by ENABLE_DATALIST, like http://trac.webkit.org/changeset/113972 for ENABLE_INPUT_TYPE_DATE.

I think some tests not in fast/forms/datalist/ will be affected.
Comment 3 WebKit Review Bot 2012-04-17 05:34:48 PDT
Comment on attachment 137511 [details]
Patch

Attachment 137511 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12423242

New failing tests:
fast/forms/label/labelable-elements.html
Comment 4 WebKit Review Bot 2012-04-17 05:34:53 PDT
Created attachment 137520 [details]
Archive of layout-test-results from ec2-cr-linux-03

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-03  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 5 WebKit Review Bot 2012-04-17 06:32:47 PDT
Comment on attachment 137511 [details]
Patch

Attachment 137511 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12414900

New failing tests:
fast/forms/label/labelable-elements.html
Comment 6 WebKit Review Bot 2012-04-17 06:32:53 PDT
Created attachment 137529 [details]
Archive of layout-test-results from ec2-cr-linux-02

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-02  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 7 Keishi Hattori 2012-04-18 11:07:31 PDT
Created attachment 137724 [details]
Patch
Comment 8 Kent Tamura 2012-04-18 11:14:56 PDT
Comment on attachment 137724 [details]
Patch

ok
Comment 9 WebKit Review Bot 2012-04-18 12:32:35 PDT
Comment on attachment 137724 [details]
Patch

Clearing flags on attachment: 137724

Committed r114545: <http://trac.webkit.org/changeset/114545>
Comment 10 WebKit Review Bot 2012-04-18 12:32:56 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Kent Tamura 2012-08-17 03:14:42 PDT
We should have excluded Chromium-Android.